## org.biojava.bio.proteomics.aaindex
Interface SymbolPropertyTableIterator

All Known Implementing Classes:
  AAindexStreamReader

    public interface SymbolPropertyTableIterator

Iterator over `SymbolPropertyTable` objects.

Version:
  $Revision: 3602 $
Author:
  Martin Szugat

Method Summary
`boolean` `hasNext()` Checks if there is a further `SymbolPropertyTable` object.
`SymbolPropertyTable` `nextTable()` Returns the next `SymbolPropertyTable` object.

Method Detail

### hasNext

    boolean hasNext()

  Checks if there is a further `SymbolPropertyTable` object.

  Returns:
    `true` if a call to the `nextTable()` method is valid, `false` otherwise.

### nextTable

    SymbolPropertyTable nextTable()
                                  throws NoSuchElementException,
                                         BioException

  Returns the next `SymbolPropertyTable` object.

  Returns:
    a symbol property table
  Throws:
    `NoSuchElementException` - if there is no further symbol property table.
    `BioException` - if the next symbol property table could not be retrieved.